<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php') ;
include_once(_DIR_EXT.'/aspmo_rmt/i_mrt.php') ;
class c_page_ajax extends c_page_XML_AJAX
{

    function set_check_personal_to_status_2()
     {  if (_sizeof($_POST['_check'])) $this->set_personal_to_status_2() ;
        else $this->add_element('show_notife','Не выбрано ни одного сотрудника') ;
     }

    function set_all_personal_to_status_2()
     { $_POST['_check']=array();
       $this->set_personal_to_status_2() ;
     }

    function set_personal_to_status_2()
     { $arr_id='arr_'.rand(1,1000000) ;

       include_once(_DIR_EXT.'/events/report_personals_in_event.php') ;
       $report_obj=new report_personals_in_event() ;
       $report_obj->filter=$report_obj->filter_array_flip($_POST['filter']);
       $report_obj->event_id=$_POST['event_id'] ;
       $report_obj->filter['status_ids'][1]=1 ;
       if (_sizeof($_POST['_check'])) $report_obj->filter['personal_ids']=implode(',',$_POST['_check']) ;
       $report_obj->init();
       $usl=$report_obj->create_usl_select_obj() ;
       $cnt=$report_obj->get_cnt_items($usl) ;

       $_SESSION[$arr_id]['filter']=$report_obj->filter ;

            echo 'Будет направлено на инструктаж <strong>'.$cnt.'</strong> '.get_case_by_count_1_2_5($cnt,'сотрудник,сотрудника,сотрудников').'<br>' ;
       if ($cnt){?><button class="button v2" cmd="esmo_magnit_instruction/set_personal_to_status_2_apply" event_id=<?echo $_POST['event_id']?> arr_id="<?echo $arr_id?>">Направить</button><?}
       ?><button class="button cancel">Отмена</button><?

       $this->add_element('show_modal_window','HTML',array('title'=>'Направление на инструктаж')) ;
     }

    function set_personal_to_status_2_apply()
       {  $obj_event=EVENTS()->get_event_obj_by_id($_POST['event_id']) ;
          include_once(_DIR_EXT.'/events/report_personals_in_event.php') ;
          $report_obj=new report_personals_in_event() ;
          $report_obj->filter=$_SESSION[$_POST['arr_id']]['filter'] ;
          $report_obj->event_id=$_POST['event_id'] ;
          $report_obj->filter['status_ids'][1]=1 ;
          $report_obj->init();
          $usl=$report_obj->create_usl_select_obj() ;
          $cnt=$report_obj->get_cnt_items($usl) ;
          if ($cnt)
          { $recs=$report_obj->get_items($usl) ;
            $ids=array_keys($recs) ;
            //if (_sizeof($ids)) foreach($ids as $id) EVENTS()->set_event_personal_data($_POST['event_id'],$id,array('status'=>2),'Направлен на ПМО') ;
            if (is_object($obj_event) and _sizeof($ids)) $obj_event->set_personal_to_status_2($_POST['event_id'],implode(',',$ids)) ;

          }
          echo 'Было направлено на инструктаж <strong>'.$cnt.'</strong> '.get_case_by_count_1_2_5($cnt,'сотрудник,сотрудника,сотрудников').'<br>' ;
          ?><button class="button cancel">Закрыть</button><?
          $this->add_element('show_modal_window','HTML',array('title'=>'Направление на инструктаж','after_close_update_page'=>1)) ;
          unset($_SESSION[$_POST['arr_id']]) ;
       }




   function seacrh_personal()
   { //damp_array($_POST) ;

     $usl[]='event_id='.$_POST['event_id'] ;
     $usl[]='event_status in (2,3,4,5,6)' ;
     if ($_POST['filter']['name']) $usl[]='obj_name like "%'.addslashes($_POST['filter']['name']).'%"' ;
     if ($_POST['filter']['propusk']) $usl[]='propusk="'.addslashes($_POST['filter']['propusk']).'"' ;
     if ($_POST['filter']['name'] or $_POST['filter']['propusk'])
     { $recs=execSQL('select * from view_event_personals where '.implode(' and ',$usl),2) ;
       //ob_start() ;
       ?><table id="panel_reg_personal_to_start_inst"><?
       $col=0 ;
       if (_sizeof($recs)) foreach($recs as $rec)
           {  if (!$col) echo '<tr>' ; $col++ ;

              ?><td class="item right"><img class="photo" src="<?echo img_clone($rec,'200')?>"></td>
                <td class="item">
                    <div class="name"><?echo $rec['obj_name']?></div>
                    <div class="org_name"><?echo $rec['_org_name']?></div>
                    <div class="otdel_name"><?echo $rec['_otdel_name']?></div>
                    <div class="working_name"><?echo $rec['working_name']?></div>
                    <button class="v2 button_green" cmd="esmo_magnit_instruction/reg_personal" event_id="<?echo $rec['event_id']?>" lession_id="<?echo $_POST['lession_id']?>" event_person_id="<?echo $rec['event_person_id']?>" personal_id="<?echo $rec['pkey']?>">Зарегистрировать</button>
                    <div class="clear"></div>
               </td><?
               if ($col==2) { echo '</tr>' ; $col=0  ;}

           }
       ?></table>
         <style type="text/css">
                 #panel_reg_personal_to_start_inst{width:100%;table-layout:fixed;}
                 #panel_reg_personal_to_start_inst td{vertical-align:top;text-align:center;padding-bottom:25px;}
                 #panel_reg_personal_to_start_inst td.item img{border:1px solid #aaaaaa;float:left;}
                 #panel_reg_personal_to_start_inst td.item .name{font-size:16px;font-weight:bold;}
                 #panel_reg_personal_to_start_inst td.item div.org_name{font-size:13px;}
                 #panel_reg_personal_to_start_inst td.item div.otdel_name{font-size:11px;}
                 #panel_reg_personal_to_start_inst td.item div.working_name{font-size:11px;margin-bottom:12px;}
         </style>
       <?
       //damp_array($rec) ;
       //$text=ob_get_clean() ;
       //$this->add_element('panel_reg_personal_to_start_inst',$text) ;
     }
     ?><div class="center"><button class="button cancel">Закрыть</button></div><?
     $this->add_element('show_modal_window','HTML',array('title'=>'Регистрация сотрудника на инструктаж','width'=>'800px')) ;
   }

   // поиск участника занятия для подписи
   function seach_personal_to_sign()
   {
       $usl[]='event_id='.$_POST['event_id'] ;
       $usl[]='lession_id='.$_POST['lession_id'] ;
       $text_en=ENGINE()->translit3(str_replace(array("'",'"','(',')',' ',"\n"),'',$_POST['propusk'])) ;
       $usl[]='(propusk="'.$text_en.'" or propusk="'.$_POST['propusk'].'")' ;

       //ob_start() ;
       if ($_POST['propusk'])
       { $rec=execSQL_van('select * from view_lession_personals where '.implode(' and ',$usl),2) ;
         if ($rec['pkey'])
         {   if ($rec['lession_person_status']==3)
             {   ob_start() ;
                 ?><table id="table_person_sign"><tr>
                          <td class="item right"><img class="photo" src="<?echo img_clone($rec,'200')?>">
                         </td>
                         <td class=item>
                         <div class="name"><?echo $rec['obj_name']?></div>
                                                       <div class="org_name"><?echo $rec['_org_name']?></div>
                                                       <div class="otdel_name"><?echo $rec['_otdel_name']?></div>
                                                                                                                   <div class="working_name"><?echo $rec['working_name']?></div>
                             <!--<div id="signature" style="width:800px;height:200px;"></div>-->
                             <form id="dd2" method="POST" action=""><canvas class="pad"></canvas></form>
                         </td>
                     <td style="vertical-align:middle;"><div id="alert"></div></td>
                    </tr>
                   </table>
                   <script type="text/javascript">
                     $j(document).ready(function()
                      { //$j("#signature").jSignature({color:"#00f",'decor-color':'#ffffff',showLine:0}) ;

                      }) ;
                     //(function(window)
                     //{
                       var $canvas ;
                       var onResize = function(event)
                       {
                             $canvas.attr({
                               height: 200,
                               width: 800
                             });
                           };

                       $j(document).ready(function()
                       {
                         $canvas = $j('canvas');
                         window.addEventListener('orientationchange', onResize, false);
                         window.addEventListener('resize', onResize, false);
                         onResize();

                         $j('form#dd2').signaturePad({
                           drawOnly: true,
                           defaultAction: 'drawIt',
                           validateFields: false,
                           lineWidth: 0,
                           output: null,
                           sigNav: null,
                           name: null,
                           typed: null,
                           //clear: 'button#clear_sign',
                           typeIt: null,
                           drawIt: null,
                           typeItDesc: null,
                           drawItDesc: null
                         });
                       });
                     //}(this));


                                             //var sigdiv = $j("#signature")
                                             //sigdiv.jSignature() // inits the jSignature widget.
                   </script>
                   <div class="sky-form" style="text-align:center;">
                       <div class="center">
                        <button style="width:300px;height:70px;float:left;margin-left:410px;" id="apply_sign" class="button" event_id="<?echo $rec['event_id']?>" lession_id="<?echo $_POST['lession_id']?>" event_person_id="<?echo $rec['lession_person_pkey']?>" personal_id="<?echo $rec['pkey']?>">Тему прослушал</button>
                        <button style="height:70px;float:left;margin-left:20px;" id="clear_sign" class="button">Очистить</button>
                      </div>
                   </div><div class="clear"></div><?

                 //damp_array($rec) ;
                 $text=ob_get_clean() ;
                 $this->add_element('panel_person_sign.HTML',$text) ;
                 $this->add_element('panel_person_sign_info.HTML',"") ;
             }
             else if ($rec['lession_person_status']==4)
             {  $this->add_element('show_notife','Сотрудник уже расписался',array('color'=>'red')) ;
                $this->add_element('propusk','') ;
             }
         }
         else
         { $this->add_element('show_notife','Сотрудник в участниках занятия не найден',array('color'=>'red')) ;
           $this->add_element('propusk','') ;
         }
       }

       // проверяем, сколько сотрудников из зарегистрированных на занятие уже расписалось
       $cnt_all=execSQL_value('select count(pkey) from obj_site_lession_persons where parent='.$_POST['lession_id']) ;
       $cnt_sign=execSQL_value('select count(pkey) from obj_site_lession_persons where parent='.$_POST['lession_id'].' and status=4') ;
       if ($cnt_sign==$cnt_all) update_rec_in_table('obj_site_lession',array('status'=>5),'pkey='.$_POST['lession_id']) ;

 $this->add_element('JSCODE','<script type="text/javascript">$j("#propusk").val("").focus() ;</script>') ;
       //$text=ob_get_clean() ;
       //$this->add_element('panel_person_sign.HTML',$text) ;
       //$this->add_element('show_modal_window','HTML',array('title'=>'Подпись сотрудника за инструктаж','width'=>'1000px')) ;
     }

   // регистрируем участие в сеансе инструктажа
   function reg_personal_in_lession()
   {   $event_id=(int)$_POST['event_id'] ;
       $lession_id=(int)$_POST['lession_id'] ;
       if ($_POST['propusk'] and $event_id and $lession_id)
       { // разбить на два этапа
         // 1 - найти id человека по пропуску, источник пропуска - клавитатура
         // 2 - по id проверить участие в мепроприятии
       $fname='propusk' ;
         $text_en=ENGINE()->translit3(str_replace(array("'",'"','(',')',' ',"\n"),'',$_POST['propusk'])) ;
         $_usl=array() ;
         $_usl[]='event_id='.$event_id ;
         $_usl[]='('.$fname.'="'.$text_en.'" or '.$fname.'="'.$_POST['propusk'].'")' ;
         $usl=implode(' and ',$_usl) ;
         // ищем пропуск в участиках инструктажа без учета его статуса
         $rec_personal=execSQL_van('select pkey,event_status from view_event_personals where '.$usl) ;
         if (!$rec_personal['pkey']) $this->add_element('show_notife','Пропуск "'.$_POST['propusk'].'" - cотрудник не найден',array('color'=>'red')) ;
         elseif ($rec_personal['pkey'] and $rec_personal['status']==7) $this->add_element('show_notife','Сотрудник уже прошел инструктаж',array('color'=>'green')) ;
         else
         {   $rec_person_lession_status=execSQL_value('select status from obj_site_lession_persons where parent='.$lession_id.' and personal_id='.$rec_personal['pkey']) ;
             if ($rec_person_lession_status) $this->add_element('show_notife','Сотрудник уже зарегистрирован на занятиe',array('color'=>'red')) ;
             else
             {  // проверяем темы занятия - если занятие, соедржит хотя бы одну тему, которую сотрудни еще не прочитал - пустиьб
                $check=EVENTS()->check_personal_lession_themes($event_id,$lession_id,$rec_personal['pkey']) ;
                if (!$check)
                {   $event_pass_status=execSQL_value('select status from obj_site_events_pass where event_id='.$event_id.' and personal_id='.$rec_personal['pkey']) ;
                    if ($event_pass_status==7) $this->add_element('show_notife','Сотрудник уже получил зачет по всем темам данного занятия',array('color'=>'red')) ;
                    else
                    { EVENTS()->reg_personal_in_lession($event_id,$lession_id,$rec_personal['pkey']) ;
                      $this->update_page=1 ;
                    }
                }
                else
                { EVENTS()->reg_personal_in_lession($event_id,$lession_id,$rec_personal['pkey']) ;
               $this->update_page=1 ;
             }
         }
       }

       }
       $this->add_element('JSCODE','<script type="text/javascript">$j("#propusk").val("").focus() ;</script>') ;
   }

   // фиксируем прохождение участником занятия, проверяем сколько тем он прослушал из общего числа тем, при необходимости обновляем его статус
   // в инструктаже
   function lession_person_sign()
   {  //damp_array($_POST,1,-1) ;
      //$this->add_element('show_modal_window','HTML',array('title'=>'Регистрация сотрудника на инструктаж','width'=>'800px')) ;
      $fname='lession_'.$_POST['lession_id'].'_pers_'.$_POST['personal_id'].'.png' ;
      $this->save_send_photo($_POST['image'],$fname) ;
      EVENTS()->lession_personal_sign($_POST['event_id'],$_POST['lession_id'],$_POST['personal_id'],$fname) ;
      $this->update_page=1 ;

   }

   function save_send_photo($data,$img_name)
       { $data=str_replace('data:image/png;base64','',$data) ;
         $img_string=base64_decode($data) ;  //echo $img_string ;
         $img_dir='/public/instruktions_sign/'.$img_name ;
         if (file_exists(_DIR_TO_ROOT.$img_dir)) unlink(_DIR_TO_ROOT.$img_dir) ;
         file_put_contents(_DIR_TO_ROOT.$img_dir,$img_string) ;
         //echo $img_dir ;
         /*?><img src="<?echo $img_dir?>?rand=<?echo rand(1,100)?>"><?*/
       }


   function lession_personal_unregister()
   {
      EVENTS()->lession_personal_unregister($_POST['event_id'],$_POST['lession_id'],$_POST['personal_id']) ;
      $this->update_page=1 ;
      //damp_array($_POST) ;
      //$this->add_element('show_modal_window','HTML',array('title'=>'Регистрация сотрудника на инструктаж','width'=>'800px')) ;
   }

   function start_lession()
   {
      $result=EVENTS()->start_lession($_POST['lession_id']) ;
      // $this->add_element('show_modal_window','HTML',array('title'=>'Регистрация сотрудника на инструктаж','width'=>'800px')) ;
      if (!$result['error'])
      { $this->go_url='/window/esmo_magnit_instruction/lession/'.$_POST['lession_id'].'/' ;
      }
      else $this->add_element('show_notife',$result['error'],array('color'=>'red')) ;
      //$this->update_page=1 ;
   }

    // начало заняти
	function cancel_lession()
    {  echo 'Пожалуйста, подтвердите отмену занятия<br>' ;
       ?><form class="sky-form no_box_shadow"><div id="panel_buttons"><button class="button v2" cmd="esmo_magnit_instruction/cancel_lession_apply" lession_id="<?echo $_POST['lession_id']?>">Да, отменить занятие</button><button class="button cancel">Отмена</button></div></form><?
       $this->add_element('show_modal_window','HTML',array('title'=>'Отмена занятия','after_close_update_page'=>1)) ;
    }


   function cancel_lession_apply()
   {
      $result=EVENTS()->cancel_lession($_POST['lession_id']) ;
      if (!$result['error'])
      { $this->go_url='/window/esmo_magnit_instruction/lession/'.$_POST['lession_id'].'/' ;
      }
      else $this->add_element('show_notife',$result['error'],array('color'=>'red')) ;
   }

   function stop_lession()
   {
      EVENTS()->stop_lession($_POST['lession_id']) ;
      $this->go_url='/window/esmo_magnit_instruction/lession/'.$_POST['lession_id'].'/sign/' ;
      //$this->update_page=1 ;
      //$this->add_element('show_modal_window','HTML',array('title'=>'Регистрация сотрудника на инструктаж','width'=>'800px')) ;
   }

   function lession_create()
   {   //damp_array($_POST) ;
       //$this->add_element('show_modal_window','HTML',array('title'=>'Регистрация сотрудника на инструктаж','width'=>'800px')) ;
       if (_sizeof($_POST['theme_ids']))
       { $id=EVENTS()->create_lession_to_event($_POST['event_id'],$_POST['theme_ids']) ;
         $this->add_element('go_url','/window/esmo_magnit_instruction/lession/'.$id.'/register/') ;
       } else $this->add_element('show_notife','Не выбрана ни одна тема',array('color'=>'red')) ;


   }

   function event_themes_create()
   {  if ($_POST['filter']['new_themes'])
        { $arr_themes=explode("\n",$_POST['filter']['new_themes']) ;
          if (_sizeof($arr_themes)) foreach($arr_themes as $name) EVENTS()->event_theme_create($_POST['event_id'],trim($name)) ;
        }
      $this->update_page=1 ;
   }

   function event_theme_delete()
   {   EVENTS()->event_theme_delete($_POST['event_id'],$_POST['_check']) ;
       $this->update_page=1 ;
   }

   function event_theme_save()
   {   if (_sizeof($_POST['theme_name'])) foreach($_POST['theme_name'] as $id=>$name) EVENTS()->event_theme_save($id,array('obj_name'=>$name,'length'=>$_POST['theme_length'][$id])) ;
       if ($_POST['new_theme_name']) EVENTS()->event_theme_create($_POST['event_id'],array('obj_name'=>trim($_POST['new_theme_name']),'length'=>$_POST['new_theme_length'])) ;
       //$this->add_element('show_modal_window','HTML',array('title'=>'Регистрация сотрудника на инструктаж','width'=>'800px')) ;
       $this->update_page=1 ;
   }

   function event_orgs_date_save()
   {   $date_from_to_org=array() ;
       $rec_event=EVENTS()->get_event_by_id($_POST['event_id']) ;
       if (_sizeof($_POST['date_from_to_org'])) foreach($_POST['date_from_to_org'] as $org_id=>$date) $date_from_to_org[$org_id]=strtotime($date) ;
       EVENTS()->save_events($_POST['event_id'],array('date_from_to_orgs'=>$date_from_to_org)) ;
       //$this->update_page=1 ;
       echo 'Изменения сохранены. Необходимо обновить условия отбора сотрудников для мероприятия<br><br>' ;
       echo '<div class="center"><button class="button v2" cmd="personal/recreate_usl_select_persons" item_id="'.$_POST['event_id'].'" item_reffer="'.$rec_event['_reffer'].'" extended="events">Обновить условия отбора участников</button></div><br>' ;
       $this->add_element('show_modal_window','HTML',array('title'=>'Задание индивидульного времени начала мероприятия для организаций','width'=>'800px')) ;
   }

   function event_theme_up()
   {
      $cur_indx=execSQL_value('select indx from obj_site_events_themes where parent='.$_POST['event_id'].' and pkey='.$_POST['theme_id'].' and clss=225') ;
      $prev_rec=execSQL_van('select pkey,indx from obj_site_events_themes where parent='.$_POST['event_id'].' and indx<'.$cur_indx.' and clss=225 order by indx desc limit 1') ;
      if ($prev_rec['pkey'])
      { execSQL_update('update obj_site_events_schedule set indx='.$prev_rec['indx'].' where pkey='.$_POST['theme_id']) ;
        execSQL_update('update obj_site_events_schedule set indx='.$cur_indx.' where pkey='.$prev_rec['pkey']) ;
        $this->add_element('theme_'.$_POST['theme_id'].'.HTML',$prev_rec['indx']) ;
        $this->add_element('theme_'.$prev_rec['pkey'].'.HTML',$cur_indx) ;

      }
   }

   function event_theme_down()
   {
      $cur_indx=execSQL_value('select indx from obj_site_events_themes where parent='.$_POST['event_id'].' and pkey='.$_POST['theme_id'].' and clss=225') ;
      $next_rec=execSQL_van('select pkey,indx from obj_site_events_themes where parent='.$_POST['event_id'].' and indx>'.$cur_indx.' and clss=225 order by indx limit 1') ;
      if ($next_rec['pkey'])
      { execSQL_update('update obj_site_events_schedule set indx='.$next_rec['indx'].' where pkey='.$_POST['theme_id']) ;
        execSQL_update('update obj_site_events_schedule set indx='.$cur_indx.' where pkey='.$next_rec['pkey']) ;
        $this->add_element('theme_'.$_POST['theme_id'].'.HTML',$next_rec['indx']) ;
        $this->add_element('theme_'.$next_rec['pkey'].'.HTML',$cur_indx) ;
      }
   }

   function delete_theme_docs()
   {
       execSQL_update('delete from obj_site_events_themes_files where pkey='.$_POST['doc_id']) ;
       $this->go_url=$_POST['after_delete_go_url'] ;
   }

   function delete_theme_materials(){
        if ($_POST['theme_id']){
            execSQL_update('delete from obj_site_events_themes_files where parent='.$_POST['theme_id']) ;
            $this->update_page=1 ;
        }
   }

   function check_lession_sign_before_report_create()
   {  $rec_lession=EVENTS()->get_lession_by_id($_POST['lession_id']) ;
      $list_recs=execSQL_row('select pkey,obj_name from view_lession_personals where lession_id='.$_POST['lession_id'].' and lession_person_status<4') ;
      ?><div id="panel_filter">
          <form id="sky-form" class="sky-form">
              <strong>Внимание! </strong><br>Еще не расписались сотрудники:<br>
              <? if (_sizeof($list_recs)) foreach($list_recs as $id=>$value) {?>&nbsp;&nbsp;&nbsp;- <strong><?echo $value?></strong><br><?}?>
              Вы действительно хотите перейти к формированию ведомости?
              <input type="hidden" name="url_page_doc_view" value="/window/esmo_magnit_instruction/lession/<?echo $rec_lession['pkey']?>/report/">
              <input type="hidden" name="filter[lession_id]" value="<?echo $rec_lession['pkey']?>">
              <input type="hidden" name="obj_reffer" value="<?echo $rec_lession['_reffer']?>">
              <input type="hidden" name="lession_id" value="<?echo $rec_lession['pkey']?>">
              <input type="hidden" name="report_seria" value="<?echo htmlspecialchars(MEMBER()->cur_group_name)?>">
              <input type="hidden" name="report_code" value="lession_personal_status">
              <button class="button v2" cmd="docs/doc_create">Сформировать ведомость</button>
              <button class="button cancel">Отмена</button>
           </form>
        </div>
      <?
      $this->add_element('show_modal_window','HTML',array('title'=>'Переход к формированию ведомости')) ;
   }

   function append_personals_to_event_from_ext_source()
   {
       //damp_array($_POST);
       $this->add_element('show_modal_window','HTML',array('title'=>'Добавление сотрудников в мероприятие','after_close_update_page'=>1)) ;
       $arr_ids=explode(',',$_POST['personal_ids']) ;
       //damp_array($arr_ids);
       if (sizeof($arr_ids))
       { $result=EVENTS()->add_personals_to_event($_POST['event_id'], $arr_ids) ;
         // удаляем записи по филтрам из personals_filter, если они там были
         $rec_event=EVENTS()->get_event_by_id($_POST['event_id']) ;
         PERSONALS_FILTER()->delete_rec_of_personals_filter($rec_event['_reffer']);
         // пересоздаем вьвер сотрудников мероприятия
         $viewer_name='view_personals_event_'.$rec_event['pkey'];
         create_viewer($viewer_name, 'select personal_id as pkey from obj_site_events_pass where event_id='.$rec_event['pkey'].' and enabled=1');
         EVENTS()->save_events($_POST['event_id'], ['enabled'=>1,'viewer_name'=>$viewer_name]);

       }
       //damp_array($result);
       ?><button class="button cancel">Закрыть</button><?


   }

   function set_ext_status_personals()
   {
       //damp_array($_POST);
       $this->add_element('show_modal_window','HTML',array('title'=>'Установка внешнего статуса сотрудника','after_close_update_page'=>1)) ;
       $arr_ids=explode(',',$_POST['personal_ids']) ;
       //damp_array($arr_ids);
       if (sizeof($arr_ids))
       {
           $result=EVENTS()->add_personals_to_event($_POST['event_id'], $arr_ids,['ext_status'=>$_POST['status'],'show_status'=>1]) ;
       }
       damp_array($result,1,-1);
       ?><button class="button cancel">Закрыть</button><?


   }

}
